Skip to main content

Get contact details of a LinkedIn profile

This API allows the authenticated user to retrieve the contact details of a specified LinkedIn profile.

The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.

Header Parameters
x-api-key uuid — REQUIRED
x-api-secret uuid — REQUIRED
Request Body — REQUIRED
account_id string — REQUIRED
profile_id string — REQUIRED
Responses
Immediate Result

request_id

Success
Schema — OPTIONAL
status string
request_id string
result object
connectedAt number — OPTIONAL
email string
entityUrn string — OPTIONAL
twitter string
Failed
Schema — OPTIONAL
status string
request_id string
error string